Name:           eet
Version:        1.4.0
Release:        2%{?dist}
Summary:        Library for speedy data storage, retrieval, and compression

Group:          System Environment/Libraries
License:        MIT
URL:            http://web.enlightenment.org/p.php?p=about/efl/eet
Source0:        http://download.enlightenment.org/releases/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libjpeg-devel zlib-devel chrpath pkgconfig doxygen libeina-devel

%description
Eet is a tiny library designed to write an arbitary set of chunks of
data to a file and optionally compress each chunk (very much like a
zip file) and allow fast random-access reading of the file later
on. It does not do zip as a zip itself has more complexity than is
needed, and it was much simpler to implement this once here.

It also can encode and decode data structures in memory, as well as
image data for saving to eet files or sending across the network to
other machines, or just writing to arbitary files on the system. All
data is encoded in a platform independent way and can be written and
read by any architecture.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}
cd doc; make doc %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
chrpath --delete %{buildroot}%{_bindir}/%{name}
find $RPM_BUILD_ROOT -name '*.la' -delete
chrpath --delete %{buildroot}%{_libdir}/libeet.so.%{version}

# remove unfinished manpages
find doc/man/man3 -size -100c -delete

for l in todo %{name}.dox
do
 rm -f doc/man/man3/$l.3
done 

chmod -x doc/html/*

mkdir -p %{buildroot}%{_mandir}/man3
install -Dpm0644 doc/man/man3/* %{buildroot}%{_mandir}/man3

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/%{name}
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html/*
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Thomas Janssen <thomasj@fedoraproject.org> 1.4.0-1
- final 1.4.0 release

* Wed Dec 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.4.0-0.1.beta3
- beta 3 release

* Tue Nov 16 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.4.0-0.1.beta2
- beta 2 release

* Fri Nov 05 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.4.0-0.1.beta1
- beta 1 release

* Fri Jul 02 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.3.2-1
- eet 1.3.2

* Fri Jun 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.3.0-1
- eet 1.3.0

* Fri Feb 12 2010 Thomas Janssen <thomasj@fedoraproject.org> - 1.2.3-1
- new upstream source 1.2.3

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 1.1.0-1
- New upstream snapshot

* Mon May 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 1.0.1-1
- New upstream snapshot

* Thu Apr 24 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 1.0.0-1
- New upstream release, eet is out of beta now
- Fixed pkg-config file

* Sat Apr 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.99900-4
- Added workaround for bug in eet.pc. Proper fix is commited upstream

* Sat Apr 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.99900-3
- Cleaned up documentation installation
- Removed unneded dependency on zlib-devel from eet-devel

* Sat Apr 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.99900-2
- Fixed timestamp of source tarball
- Preserve timestamps of installed files
- Added pkgconfig to -devel dependencies
- Added html docs

* Fri Apr 10 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.99900-1
- Initial specfile for Eet
